# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.89"
name = "nnd"
version = "0.64.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A fast handmade TUI-based debugger for Linux"
documentation = "https://github.com/al13n321/nnd"
readme = "README.md"
keywords = [
    "debugger",
    "tui",
]
categories = ["development-tools::debugging"]
license = "Apache-2.0"
repository = "https://github.com/al13n321/nnd"

[[bin]]
name = "nnd"
path = "src/main.rs"

[dependencies.bitflags]
version = "^1.3"

[dependencies.cpp_demangle]
version = "^0.5.1"

[dependencies.crc32fast]
version = "^1.3.2"

[dependencies.flate2]
version = "^1.0.26"

[dependencies.gimli]
version = "^0.31.1"
features = [
    "std",
    "read",
]
default-features = false

[dependencies.iced-x86]
version = "1.19"
features = [
    "std",
    "decoder",
    "instr_info",
    "nasm",
]
default-features = false

[dependencies.libc]
version = "0.2.146"

[dependencies.md5]
version = "^0.7"

[dependencies.rand]
version = "^0.8.5"

[dependencies.rustc-demangle]
version = "^0.1"

[dependencies.unicode-segmentation]
version = "^1.10"

[dependencies.unicode-width]
version = "^0.1"

[dependencies.ureq]
version = "^3.0"

[dependencies.voracious_radix_sort]
version = "^1.2"

[dev-dependencies.gimli]
version = "^0.31.1"
features = [
    "std",
    "read",
    "write",
]
default-features = false

[target.'cfg(target_env = "musl")'.dependencies.tikv-jemallocator]
version = "^0.6"

[profile.dbgo]
debug = 2
debug-assertions = true
overflow-checks = true
inherits = "release"

[profile.dev]
opt-level = 1
panic = "abort"

[profile.release]
panic = "abort"

[profile.release-with-debug-info]
debug = 2
inherits = "release"
